#include "api/OceanMathArtAPI.h"
#include <iostream>
#include <algorithm>

int main() {
    // Do the calculation with values set up without using a spectrometer
    const unsigned int pixelCount = 1024;
    double dark[pixelCount];
    double reference[pixelCount];
    double sample[pixelCount];
    double absorbance[pixelCount];

    // Use constant dark, reference and sample "spectra"
    std::fill(dark, dark + pixelCount, 200.0);
    std::fill(reference, reference + pixelCount, 12000.0);
    std::fill(sample, sample + pixelCount, 8000.0);

    int error = 0;
    int actualPixels = omapi_calculate_absorbance1(dark, pixelCount, reference, sample, absorbance, &error);
    if (error != 0) {
        std::cout << "Error result " << error << " in the absorbance calculation" << std::endl;
    }
    else {
        // The result should also be a constant spectrum so only output the first value
        std::cout << "Absorbance result is " << absorbance[0] << std::endl;
    }
}